#!/bin/bash
CONFIG_FILES=$*
    echo -n "Are you sure you want to delete all configuration, client and server files? "
    read yn
    if [ "$yn" = "y" ]; then
        echo "Deleting..."
        for i in $CONFIG_FILES; do
            echo $i
            rm -f $i
        done
        
        rm -fr servers/installscripts/*
        rm -f servers/*.conf servers/*.ovpn servers/*.bak
        rm -fr clients/installscripts/*
        rm -f clients/*.conf clients/*.ovpn clients/*.bak
        rm -fr easy-rsa/keys/*
        
        rm -fr www/status/templates_c/*
        rm -fr www/status/Smarty-2.6.26
        
        rm -f clients/downloadRequests.txt
        rm -f windows/* www/status/plugins/win32installer/tmp/*
        
        find . -name .svn -exec rm -fr {} \; 
        find . -name \*~ -exec rm {} \; 
    fi

