#!/bin/bash

tolower()
{
    local char="$*"
    
    out=$(echo $char | tr [:upper:] [:lower:])
    local retval=$?
    echo "$out"
    unset out
    unset char
    return $retval
}

echo -e "\n\n\n\n\n"

echo -n "Are you sure you want to install the default config files? "
read yn

yn2=$(tolower $yn)
if [ "$yn2" = "y" ]; then
    echo -n "Are you sure (this will overwrite any existing config files)? "
    read yn
    yn2=$(tolower $yn)
    if [ "$yn2" = "y" ]; then
        for i in $CONFIG_FILES; do
            [ -f $i ] && mv $i $i.old
            cp $i.in $i
            echo $i
        done
        cp setup/openvpncertmgmt.conf /etc
        cp setup/check_user /etc/pam.d
    fi

fi

touch clients/downloadRequests.txt
