<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

include_once ('include/openvpn-functions.inc');
 
openvpn_load_server_conf ();
if (!isset ($openvpn['Server'])) html_error ("The OpenVPN server has no configuration file");
  
openvpn_load_status ();
//if (!isset ($openvpn['Server']['Title'])) html_error ("5 The OpenVPN server has no status file");
  

// load Smarty library
require_once('Smarty.class.php');
$smarty = new Smarty;

$smarty->assign  ('Servername',        $Server);


$thelist2="";
$conf = @exec("ls " . $config['Home'] . "/easy-rsa/keys/" . $Server . "/" . $Server . "-*.crt 2>/dev/null",$thelist2);

foreach($thelist2 as $l2 =>$lv3) {
  $lv4=str_replace($config['Home'] . "/easy-rsa/keys/$Server/$Server-","",$lv3);
  $lv4=str_replace(".crt","",$lv4);
  
  $openvpn['Client'][] = array ('CN'  => 
  "<a href=\"index.php?Action=Status&server=$lv4\">$lv4</a>",
                                'DEV' => "",
                                'ADDRESS' => "",
                                'TAPMTU' => "",
                                'LINKMTU' => ""
                                
                                );
}


// Mode
$smarty->assign  ('mode', $config['mode']);
    
// Decoration
$smarty->assign  ('Company_Name',  $config['Company_Name']);
$smarty->assign  ('Company_Logo',  $config['Company_Logo']);
$smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
$smarty->assign  ('title',         'OpenVPN Web GUI : server status [refreshes every minute]');
$smarty->assign  ('refresh',       '60');

// Status Bar
$smarty->assign  ('Server',        $openvpn['Server']);
$smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);

// Action
$smarty->assign  ('action',        'LISTCLIENTS');

// Action-Specific
if (isset ($openvpn['Client']))
 $smarty->assign ('Client',        $openvpn['Client']);

// Display
$smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
$smarty->assign  ('Plugins',       $config['Plugins']);
$smarty->assign  ('Page',          'action-listclients.tpl');

$smarty->display ('page.tpl');


?>
