<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

include_once ('include/openvpn-functions.inc');
include_once ('include/openssl-functions.inc');
include_once ('include/inifile-functions.inc');


include_once('validate.inc');



read_ini_file($config['Home']."scripts/config/vars", $vars);

//openvpn_load_server_conf ();
//if (!isset ($openvpn['Server'])) html_error ("The OpenVPN server has no configuration file");

//openvpn_load_status ();
//if (!isset ($openvpn['Server']['Title'])) html_error ("The OpenVPN server has no status file");

//openssl_load_database ();
//openvpn_find_connected ();

// load Smarty library
require_once('Smarty.class.php');
require_once('SmartyValidate.class.php');
$smarty =& new Smarty;
$smarty->plugins_dir[] = "./SmartyValidate-2.9/plugins";



SmartyValidate::connect($smarty, true);

SmartyValidate::register_criteria('isValidNetAddress', 'isValidNetAddress');

SmartyValidate::register_validator('v_commonname', 'CommonName:/^[a-zA-Z0-9]+$/','isRegExp', false, false, 'trim');
SmartyValidate::register_validator('v_email', 'Email', 'isEmail', false, false, 'trim');
SmartyValidate::register_validator('v_expiration', 'Expiration', 'isNumber', false, false, 'trim');
//SmartyValidate::register_validator('v_dnsaddress', 'DNSAddress:/([a-z0-9-.]*)\.([a-z]{2,3})/', 'isRegExp', false, false, 'trim');
SmartyValidate::register_validator('v_dnsaddress', 'DNSAddress', 'isValidNetAddress', false, false, 'trim');

SmartyValidate::register_validator('v_vpnnetwork', 'VPNNetwork:VPNNetmask', 'isIPNetmask', false, false, 'trim');

SmartyValidate::register_validator('v_vpnport', 'VPNPort', 'isNumber', false, false, 'trim');

SmartyValidate::register_validator('v_poolstart', 'Poolstart', 'isIPNetmask', true, false, 'trim');
SmartyValidate::register_validator('v_poolend', 'Poolend', 'isIPNetmask', true, false, 'trim');

SmartyValidate::register_validator('v_mssfix', 'mssfix', 'isNumber', true, false, 'trim');
SmartyValidate::register_validator('v_fragment', 'fragment', 'isNumber', true, false, 'trim');

SmartyValidate::register_validator('v_tunnelroute', 'tunnelroute', 'isIPAddress', true, false, 'trim');


SmartyValidate::register_validator('v_managementaddress', 'ManagementAddress', 'isIPAddress', false, false, 'trim');
SmartyValidate::register_validator('v_managementport', 'ManagementPort', 'isNumber', false, false, 'trim');

include('server-common.inc');

$smarty->display ('page.tpl');

?>
