<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

include_once ('include/openvpn-functions.inc');

if ($Server == "" ) $confs = @exec("ls -1 " . $config['openvpn']['folder']. "*.conf", $thelist);
else $confs = exec("ls -1 " . $config['openvpn']['folder']. "$Server.conf", $thelist);
//if (!$confs) {echo "No servers defined<>"; return; }

// load Smarty library
require_once('/usr/share/php/Smarty/Smarty.class.php');




if ($confs)
{
  global $openvpn;
  foreach ($thelist as  $lv)
  {
    //  unset($GLOBALS['config']);
    unset($GLOBALS['openvpn']);
    //unset($openvpn);
    $lv2=str_replace($config['openvpn']['folder'], "", $lv);
    $lv3=str_replace(".conf", "", $lv2);
    $Server = $lv3;
      
    openvpn_load_server_conf ();
    if (!isset ($openvpn['Server'])) html_error ("The OpenVPN server has no configuration file");
    
    openvpn_load_status ();
    //if (!isset ($openvpn['Server']['Title'])) html_error ("5 The OpenVPN server has no status file");
    
    if(isset($_GET["Subaction"])) $subaction=$_GET["Subaction"];
    else $subaction='';

    // kill client
    if($subaction=="kill"){
      if(isset($_GET["ip"])) $ip=$_GET["ip"];
      if(!preg_match('/[0-9\.:]/',$ip)) die("wrong ip address");
      openvpn_manager_sendcommand("kill $ip");
      header('Location: '.$_SERVER['PHP_SELF'].'?Action=Status&server=' . $Server);
      exit;
    }
    elseif($subaction=="restart"){
      // send SIGHUP to restart OpenVPN
      openvpn_manager_sendcommand("signal SIGHUP");
      sleep(3); // wait 3 seconds for restart
      header('Location: '.$_SERVER['PHP_SELF'].'?Action=Status&server=' . $Server);
      exit;
    }
    elseif($subaction=="reset"){
      // send SIGHUP to restart OpenVPN
      openvpn_manager_sendcommand("signal SIGUSR1");
      sleep(3); // wait 3 seconds for restart
      header('Location: '.$_SERVER['PHP_SELF'].'?Action=Status&server=' . $Server);
      exit;
    }

   
    
    $smarty = new Smarty;
    
    $smarty->assign  ('Servername',        $lv3);
    
    // Mode
    $smarty->assign  ('mode', $config['mode']);
    
    // Decoration
    $smarty->assign  ('Company_Name',  $config['Company_Name']);
    $smarty->assign  ('Company_Logo',  $config['Company_Logo']);
    $smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
    $smarty->assign  ('title',         'OpenVPN Web GUI : server status [refreshes every minute]');
    $smarty->assign  ('refresh',       '60');
    
    // Status Bar
    $smarty->assign  ('Server',        $openvpn['Server']);
    $smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);
    
    // Action
    $smarty->assign  ('action',        'STATUS');
    
    // Action-Specific
    if (isset ($openvpn['Client']))
     $smarty->assign ('Client',        $openvpn['Client']);
    
    // Display
    $smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
    $smarty->assign  ('Plugins',       $config['Plugins']);
    $smarty->assign  ('Page',          'action-status.tpl');
    $smarty->display ('page.tpl');
    unset($smarty);
  }
} else
{
    $smarty = new Smarty;
    
    $smarty->assign  ('Servername',        "Not installed");
    $smarty->assign  ('Servername',        $Server);
    
    // Mode
    $smarty->assign  ('mode', $config['mode']);
    
    // Decoration
    $smarty->assign  ('Company_Name',  $config['Company_Name']);
    $smarty->assign  ('Company_Logo',  $config['Company_Logo']);
    $smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
    $smarty->assign  ('title',         'OpenVPN Web GUI : server status [refreshes every minute]');
    $smarty->assign  ('refresh',       '60');
    
    // Status Bar
    $smarty->assign  ('Server',        $openvpn['Server']);
    if (isset($openvpn)) $smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);
    
    // Action
    $smarty->assign  ('action',        'STATUS');
    
    // Action-Specific
    if (isset ($openvpn['Client']))
     $smarty->assign ('Client',        $openvpn['Client']);
    
    // Display
    $smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
    $smarty->assign  ('Plugins',       $config['Plugins']);
    $smarty->assign  ('Page',          'action-status.tpl');
    $smarty->display ('page.tpl');
  
}
?>
