<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

// Following functions are from php.net
// used to read and write ini files.
function read_ini_file($f, &$r, $preserve_quotes=false)
{
  $null = "";
  $r=$null;
  $first_char = "";
  $sec=$null;
  $comment_chars=";#";
  $num_comments = "0";
  $num_newline = "0";

  //Read to end of file with the newlines still attached into $f
  $f = @file($f);
  if ($f === false) {
    return false;
  }
  // Process all lines from 0 to count($f)
  for ($i=0; $i<@count($f); $i++)
  {
    $w=@trim($f[$i]);
    $first_char = @substr($w,0,1);
    if ($w)
    {
      if ((@substr($w,0,1)=="[") and (@substr($w,-1,1))=="]") {
        $sec=@substr($w,1,@strlen($w)-2);
        $num_comments = 0;
        $num_newline = 0;
      }
      else if ((stristr($comment_chars, $first_char) == true)) {
        $r[$sec]["Comment_".$num_comments]=$w;
        $num_comments = $num_comments +1;
      }         
      else {
        // Look for the = char to allow us to split the section into key and value
        $w=@explode("=",$w);
        $k=@trim($w[0]);
        unset($w[0]);
        $v=@trim(@implode("=",$w));
        // look for the new lines
        if (!$preserve_quotes)
        {
          if (( (@substr($v,0,1)=="\"") and (@substr($v,-1,1)=="\"") ) ||
              ( (@substr($v,0,1)=="'") and (@substr($v,-1,1)=="'") )
              ) {
            $v=@substr($v,1,@strlen($v)-2);
          }
        }

        $r[$sec][$k]=$v;
       
      }
    }
    else {
      $r[$sec]["Newline_".$num_newline]=$w;
      $num_newline = $num_newline +1;
    }
  }
  return true;
}



function write_ini_file($path, $assoc_arr, $spaces=" ", $quotes="") {
  $content = "";

  foreach ($assoc_arr as $key=>$elem) {
    if (is_array($elem)) {
      if ($key != '') {
        $content .= "[".$key."]\n";       
      }
         
      foreach ($elem as $key2=>$elem2) {
        if (beginsWith($key2,'Comment_') == 1 || beginsWith($elem2,';')) {
          $content .= $elem2."\n";
        }
        else if (beginsWith($key2,'Newline_') == 1 && ($elem2 == '')) {
          $content .= $elem2."\n";
        }
        else {
          $content .= $key2.$spaces."=".$spaces.$quotes.$elem2.$quotes."\n";
        }
      }
    }
    else {
      $content .= $key.$spaces."=".$spaces.$quotes.$elem.$quotes."\n";
    }
  }

  if (!$handle = @fopen($path, 'w')) {
    return -2;
  }
  if (!@fwrite($handle, $content)) {
    return -2;
  }
  fclose($handle);
  return 1;
}

function beginsWith( $str, $sub ) {
  return ( substr( $str, 0, strlen( $sub ) ) == $sub );
}


?>
