<?php

if(!is_writable($config['PluginsAbsolutePath']."email/tmp")){
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'email/email-dl-error.tpl');
    $smarty->assign  ('error_text','Directory '.$config['PluginsAbsolutePath'].'email/tmp is not writable');
    return;
}

$filename=tempnam($config['PluginsAbsolutePath']."email/tmp","vpn");

if(email($config,$filename,$Server, $_REQUEST["id"])===true){
  
  // send the email here ????
    exit;
}
else {
    unlink($filename);
}

function win32installer_doPackage($config,$filename,$Server, $index){
  global $smarty;
  
  $d = "-";
  $dash=strpos($Server, $d, 0);
  if ($dash) {
    $Serverdir=substr($Server, 0, $dash);
  }
  else 
  {
    $smarty->assign  ('error_no',-1);
    $smarty->assign  ('error_text',"Cannot create installer for server at this time");
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    return false;
  }
  
  // validate index
  if(!preg_match('/^[0-9A-F]+$/',$index)) {
    $smarty->assign  ('error_no',1);
    $smarty->assign  ('error_text',"bad index ".htmlspecialchars($index));
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    return false;
  }
  $cafile = $config['Home'] . "easy-rsa/keys/$Serverdir/ca.crt";
  $tafile = $config['Home'] . "easy-rsa/keys/$Serverdir/ta.key";
  $keyfile = $config['Home'] . "easy-rsa/keys/$Serverdir/$Server.key";
  $crtfile = $config['Home'] . "easy-rsa/keys/$Serverdir/$Server.crt";
  $ovpnfile = $config['Home'] . "clients/$Server.ovpn";
  
    
  if(!is_file($cafile)) {
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    $smarty->assign  ('error_text','Unable to open '.$cafile.', check $cafile variable');
    return false;
  }
  if(!is_file($tafile)) {
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    $smarty->assign  ('error_text','Unable to open '.$tafile.', check $tafile variable');
    return false;
  }
  if(!is_file($keyfile)) {
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    $smarty->assign  ('error_text','Unable to open '.$keyfile.', check $keyfile variable');
    return false;
  }
  if(!is_file($crtfile)) {
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    $smarty->assign  ('error_text','Unable to open '.$crtfile.', check $crtfile variable');
    return false;
  }

  if(!is_file($ovpnfile)) {
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    $smarty->assign  ('error_text','Unable to open '.$ovpnfile.', check $ovpnfile variable');
    return false;
  }
  
  $command=$config['Plugins']['win32installer']['makensis'].
            " -DINSTDIR="."c:/Program\\ Files/OpenVPN".
            " -DSVR=".$Server.
            " -DOVPNFILE=".$ovpnfile.
            " -DOUTFILE=".$filename.
            " -DKEY_TA=".$tafile.
            " -DKEY_CA=".$cafile.
            " -DKEY_PVT=".$keyfile.
            " -DKEY_CRT=".$crtfile.
            " ".$config['Plugins']['win32installer']['openvpnguipath']."/openvpn-gui.nsi 2>&1";

  exec($command,$output,$rc);
  if($rc) {// shit happens
    $smarty->assign  ('error_no',$rc);
    $smarty->assign  ('error_text',$output);
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    return false;
  }
  else return true;
}

?>