<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

include_once ('include/openvpn-functions.inc');


// load Smarty library
require_once('Smarty.class.php');
$smarty = new Smarty;

$confs = @exec("ls -1 " . $config['openvpn']['folder'] . "*.conf", $thelist);
if (!$confs) $thelist = array();

$confs = @exec("ls -1 " . $config['Home'] . "/easy-rsa/keys", $keyslist);
if (!$confs) $keyslist = array();

if(isset($_GET["Subaction"])) $subaction=$_GET["Subaction"];
  else $subaction='';
switch ($subaction)
{
  case 'install':
    header('Location: '.$_SERVER['PHP_SELF'].'?Action=Install&submit=install&server=' . $Server);
    exit;
  case 'uninstall':
    header('Location: '.$_SERVER['PHP_SELF'].'?Action=Install&submit=uninstall&server=' . $Server);
    exit;
  case 'start':
    header('Location: '.$_SERVER['PHP_SELF'].'?Action=Install&submit=start&server=' . $Server);
    exit;
  case 'stop':
    header('Location: '.$_SERVER['PHP_SELF'].'?Action=Install&submit=stop&server=' . $Server);
    exit;
  case 'restart':
    header('Location: '.$_SERVER['PHP_SELF'].'?Action=Install&submit=restart&server=' . $Server);
    exit;
  case 'startall':
    header('Location: '.$_SERVER['PHP_SELF'].'?Action=Install&submit=startall&server=' . $Server);
    exit;
  case 'stopall':
    header('Location: '.$_SERVER['PHP_SELF'].'?Action=Install&submit=stopall&server=' . $Server);
    exit;
  case 'restartall':
    header('Location: '.$_SERVER['PHP_SELF'].'?Action=Install&submit=restartall&server=' . $Server);
    exit;  
  case 'reload':
    header('Location: '.$_SERVER['PHP_SELF'].'?Action=Install&submit=reload&server=' . $Server);
    exit;
  case 'softrestart':
    header('Location: '.$_SERVER['PHP_SELF'].'?Action=Install&submit=softrestart&server=' . $Server);
    exit;
  case 'condrestart':
    header('Location: '.$_SERVER['PHP_SELF'].'?Action=Install&submit=condrestart&server=' . $Server);
    exit;

  
  
  default:
    break;
}
foreach ($thelist as  $lv)
{
  $lv2=str_replace($config['openvpn']['folder'] , "", $lv);
  $lv3=str_replace(".conf", "", $lv2);
  $f = @file($config['openvpn']['folder'] . "gateway/$lv3");

  $w = explode(" ", $f[0]);
  
  $x = array_search($lv3, $keyslist);
  $z = in_array($lv3, $keyslist);
  if ($x || $z) $keyslist[$x] = "";
  $openvpn['Client'][] = array ('CN'  => 
                                "<a href=\"index.php?Action=Status&server=$lv3\">$lv3</a>",
                                'NAME' => $lv3,
                                'DEV' => $w[0] . "&nbsp;",
                                'ADDRESS' => $w[3] . "&nbsp;",
                                'TAPMTU' => $w[1] . "&nbsp;",
                                'LINKMTU' => $w[2] . "&nbsp"
                                );
}

foreach ($keyslist as  $lv)
{
  if ($lv != "")
  {
    $openvpn['Client'][] = array ('CN'  => 
                                  "<a href=\"index.php?Action=Status&server=$lv\">$lv</a>",
                                  'NAME' => $lv,
                                  'DEV' => "Not Installed",
                                  'ADDRESS' => "&nbsp;",
                                  'TAPMTU' => "&nbsp;",
                                  'LINKMTU' => "&nbsp;"
                                  );
  }
}



// Mode
$smarty->assign  ('mode', $config['mode']);
    
// Decoration
$smarty->assign  ('Company_Name',  $config['Company_Name']);
$smarty->assign  ('Company_Logo',  $config['Company_Logo']);
$smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
$smarty->assign  ('title',         'OpenVPN Web GUI : server status [refreshes every minute]');
$smarty->assign  ('refresh',       '60');

// Status Bar
//$smarty->assign  ('Server',        $openvpn['Server']);
//$smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);

// Action
$smarty->assign  ('action',        'SYSCTL');

// Action-Specific
if (isset ($openvpn['Client']))
 $smarty->assign ('Client',        $openvpn['Client']);

// Display
$smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
$smarty->assign  ('Plugins',       $config['Plugins']);
$smarty->assign  ('Page',          $config['PluginsAbsolutePath'] .'sysctl/action.tpl');


$smarty->display ('page.tpl');
//$smarty->display ('page-noleft.tpl');

?>
