<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

// The name of plugin should match the registration in the project's config.inc

// Action Name is used in index.php, and in top-menu.tpl
$config['Plugins']['systemconfig']['Action']['Name']      = 'SystemConfig';
// Action Include is the main plug-in's file, called from index.php
$config['Plugins']['systemconfig']['Action']['Include']   = 'action-systemconfig.inc';

// Action If contains any logic before the Name is displayed
//$config['Plugins']['systemconfig']['Action']['If'] = '';
// Action Endif is the end of the logic for the Name, if any
//$config['Plugins']['systemconfig']['Action']['Endif'] = '';



// Left Menu is used in left-menu.tpl in the Common menu
$config['Plugins']['systemconfig']['Left']['Menu']        = 'left.tpl';
// Left Status is used in left-menu.tpl in the Status subwindow
$config['Plugins']['systemconfig']['Left']['Status']      = 'status.tpl';

// Top Label is used in top-menu.tpl, when comparing with the current label
$config['Plugins']['systemconfig']['Top']['Compare']      = 'SYSCONFIG';
// Top Label is used in top-menu.tpl, inside the anchor
$config['Plugins']['systemconfig']['Top']['Label']        = 'System Configuration';
// Top Tooltip is the tooltip for the anchor
$config['Plugins']['systemconfig']['Top']['Tooltip']      = 'View and modify system configurations';
// Top Suffix might be used in the anchor's HREF, after ?Action={$TopMenuLabel}
$config['Plugins']['systemconfig']['Top']['Suffix']       = '&What=system';

?>
