<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();
 
include_once ('include/openvpn-functions.inc');
include_once ('include/openssl-functions.inc');

openvpn_load_server_conf ();
//if (!isset ($openvpn['Server'])) html_error ("The OpenVPN server has no configuration file");

openvpn_load_status ();
//if (!isset ($openvpn['Server']['Title'])) html_error ("The OpenVPN server has no status file");

// load certifacte list
openssl_load_database ();

// load local configuration
include_once ($config['PluginsAbsolutePath'] .'win32installer/local.inc');



for ($i = 0; $i < sizeof($openssl['Database']); $i++)
{
  $d="-";
  $dash=strpos($openssl['Database'][$i]['CN'], $d, 0);
  if ($dash) {
    $dir = "clients/";
  }
  else $dir = "servers/";
  $f = $config['Home'] . $dir . $openssl['Database'][$i]['CN'] . ".conf";
  if (file_exists($f)) $openssl['Database'][$i]['Exists'] = true;
  else $openssl['Database'][$i]['Exists'] = false;
  $openssl['Database'][$i]['Installed'] = file_exists($config['openvpn']['folder'] . 
              $openssl['Database'][$i]['CN'] . ".conf");
  
}  




// load Smarty library
require_once('Smarty.class.php');
$smarty = new Smarty;

global $Server;
$smarty->assign('Servername', $Server);
$smarty->assign  ('Certificates',  $openssl['Database']);

$GETWhat = (isset ($_REQUEST['What']) ? ($_REQUEST['What']) : 'List');


// Inherited from the Web GUI project
$smarty->assign  ('Company_Name',  $config['Company_Name']);
$smarty->assign  ('Company_Logo',  $config['Company_Logo']);
$smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
$smarty->assign  ('Server',        $openvpn['Server']);
$smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);
$smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
$smarty->assign  ('Plugins',       $config['Plugins']);

// Action-specific. action and Page vars should reflect the plugin config.inc's corresponding ones
$smarty->assign  ('title',         'OpenVPN Web GUI : Win32 Installer plugin');
$smarty->assign  ('OpenSSLStatus', openssl_check_functions ());
$smarty->assign  ('ZLibStatus',    zlib_check_functions ());
$smarty->assign  ('action',        'WIN32INSTALLER');

if($GETWhat == "List" ){
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-action.tpl');
}
elseif($GETWhat == "DL" ) {
    include($config['PluginsAbsolutePath'].'win32installer/dl.inc');
}

// Display
$smarty->display ('page.tpl');
?>
