<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

include_once ('include/openvpn-functions.inc');
include_once ('include/openssl-functions.inc');
include_once ('include/inifile-functions.inc');

// load Smarty library
require_once('Smarty.class.php');
require_once('SmartyValidate.class.php');

read_ini_file($config['Home']."scripts/config/vars", $vars);

openvpn_load_server_conf ();
if (!isset ($openvpn['Server'])) html_error ("The OpenVPN server has no configuration file");

openvpn_load_status ();
//if (!isset ($openvpn['Server']['Title'])) html_error ("2 The OpenVPN server has no status file");

$smarty =& new Smarty;
$smarty->plugins_dir[] = "./SmartyValidate-2.9/plugins";

SmartyValidate::connect($smarty);
if (!SmartyValidate::is_valid($_REQUEST))
{
  include('client-common.inc');
  
  $smarty->assign($_REQUEST);
  
  $smarty->display('page.tpl');
  exit;
}


$verb = $vars["ADVANCED"]["VERB"];

$Server      = (isset ($_REQUEST['Servername'])    ? ($_REQUEST['Servername'])    : NULL);


$PUTClientName                 = (isset ($_REQUEST['ClientName'])                ? ($_REQUEST['ClientName'])    : NULL);
$PUTExpiration                 = (isset ($_REQUEST['Expiration'])                ? ($_REQUEST['Expiration'])    : NULL);
$PUTServerDNS                  = (isset ($_REQUEST['ServerDNS'])                 ? ($_REQUEST['ServerDNS'])    : NULL);
$PUTVPNPort                    = (isset ($_REQUEST['VPNPort'])                   ? ($_REQUEST['VPNPort'])    : NULL);
$PUTusername                   = (isset ($_REQUEST['username'])                  ? ($_REQUEST['username'])    : NULL);
$PUTpassword                   = (isset ($_REQUEST['password'])                  ? ($_REQUEST['password'])    : NULL);
$PUTAuthMethod                 = (isset ($_REQUEST['AuthMethod'])                ? ($_REQUEST['AuthMethod'])    : NULL);
$PUThttpproxyhost              = (isset ($_REQUEST['httpproxyhost'])             ? ($_REQUEST['httpproxyhost'])    : NULL);
$PUThttpproxyretry             = (isset ($_REQUEST['httpproxyretry'])            ? ($_REQUEST['httpproxyretry'])    : NULL);
$PUThttpproxytimeout           = (isset ($_REQUEST['httpproxytimeout'])          ? ($_REQUEST['httpproxytimeout'])    : NULL);
$PUThttpproxyoption_version    = (isset ($_REQUEST['httpproxyoptionversion'])    ? ($_REQUEST['httpproxyoptionversion'])    : NULL);
$PUThttpproxyoption_agent      = (isset ($_REQUEST['httpproxyoptionagent'])      ? ($_REQUEST['httpproxyoptionagent'])    : NULL);

// If errors, do the following line
// include ('action-newclient.inc');
$curdir = getcwd();

exec($config['Home'] . "/scripts/make_install_client.sh $Server $PUTClientName $PUTServerDNS $PUTVPNPort \"$PUTusername\" \"$PUTpassword\" $PUTAuthMethod \"$PUThttpproxyhost\" $PUThttpproxyretry  $PUThttpproxytimeout \"$PUThttpproxyoption_version\" \"$PUThttpproxyoption_agent\" $verb",$thelist);
      
chdir($curdir);

// load Smarty library
require_once('Smarty.class.php');

$smarty = new Smarty;

  $submitaction='Config';
$smarty->assign  ('thelist', $thelist);
$smarty->assign  ('Servername',        $Server);
$smarty->assign  ('SubmitAction', $submitaction);

// Mode
$smarty->assign  ('mode', $config['mode']);
    
// Decoration
$smarty->assign  ('Company_Name',  $config['Company_Name']);
$smarty->assign  ('Company_Logo',  $config['Company_Logo']);
$smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
$smarty->assign  ('title',         'OpenVPN Web GUI : server configuration');

// Status Bar
$smarty->assign  ('Server',        $openvpn['Server']);
$smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);

// Action
$smarty->assign  ('action',        'INSTALL');

// Display
$smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
$smarty->assign  ('Plugins',       $config['Plugins']);
$smarty->assign  ('Page',          'action-output.tpl');
$smarty->display ('page.tpl');
      
exit;
?>
