<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

include_once ('include/openvpn-functions.inc');
include_once ('include/openssl-functions.inc');

// load Smarty library
require_once('Smarty.class.php');
require_once('SmartyValidate.class.php');
include_once ('include/inifile-functions.inc');
read_ini_file($config['Home']."scripts/config/vars", $vars);

$smarty =& new Smarty;
$smarty->plugins_dir[] = "./SmartyValidate-2.9/plugins";

require_once('validate.inc');


SmartyValidate::connect($smarty);
if (!SmartyValidate::is_valid($_REQUEST))
{
  include('server-common.inc');
  $smarty->assign($_REQUEST);
  
  //
  // Special code here for the DNS address.  If the user enters a
  // domain, but it isn't resolvable, first put a warning, then
  // accept it.
  //
  if (SmartyValidate::is_field_failed($_REQUEST, 'DNSAddress') != false)
  {
      $msg = "<font color='red'>Enter a valid DNS address</font>";
    {
      if (!ip2long($_REQUEST['DNSAddress']))
      {
        $msg = "<font color=red>Warning: Unresolvable</font>";
      }
    }
  } else
  {
    $msg = "";
  }
  
  $smarty->assign('msg', $msg);
  $smarty->display('page.tpl');
  exit;
}

$PUTcountryName            = (isset ($_REQUEST['Country'])    ? ($_REQUEST['Country'])    : NULL);
$PUTstateOrProvinceName    = (isset ($_REQUEST['Province'])   ? ($_REQUEST['Province'])   : NULL);
$PUTlocalityName           = (isset ($_REQUEST['City'])       ? ($_REQUEST['City'])       : NULL);
$PUTorganizationName       = (isset ($_REQUEST['Company'])    ? ($_REQUEST['Company'])    : NULL);
$PUTorganizationalUnitName = (isset ($_REQUEST['Department']) ? ($_REQUEST['Department']) : NULL);
$PUTcommonName             = (isset ($_REQUEST['CommonName']) ? ($_REQUEST['CommonName']) : NULL);
$PUTemailAddress           = (isset ($_REQUEST['Email'])      ? ($_REQUEST['Email'])      : NULL);
$PUTvalidity               = (isset ($_REQUEST['Expiration']) ? ($_REQUEST['Expiration']) : NULL);

$PUTDNSAddress             = (isset ($_REQUEST['DNSAddress']) ? ($_REQUEST['DNSAddress']) : NULL);
$PUTVPNNetwork             = (isset ($_REQUEST['VPNNetwork']) ? ($_REQUEST['VPNNetwork']) : NULL);
$PUTVPNNetmask             = (isset ($_REQUEST['VPNNetmask']) ? ($_REQUEST['VPNNetmask']) : NULL);
$PUTVPNPort                = (isset ($_REQUEST['VPNPort'])    ? ($_REQUEST['VPNPort']) : NULL);
$PUTPoolStart              = (isset ($_REQUEST['PoolStart'])  ? ($_REQUEST['PoolStart']) : NULL);
$PUTPoolEnd                = (isset ($_REQUEST['PoolEnd'])    ? ($_REQUEST['PoolEnd']) : NULL);
$PUTprotocol               = (isset ($_REQUEST['protocol'])   ? ($_REQUEST['protocol']) : NULL);
$PUTduplicatecn            = (isset ($_REQUEST['duplicatecn']) ? ($_REQUEST['duplicatecn']) : NULL);
$PUTtuntap                 = (isset ($_REQUEST['tuntap'])     ? ($_REQUEST['tuntap']) : NULL);
$PUTwindows                = (isset ($_REQUEST['windows'])    ? ($_REQUEST['windows']) : NULL);
$PUTdhbits                 = (isset ($_REQUEST['dhbits'])     ? ($_REQUEST['dhbits']) : NULL);
$PUTbridging               = (isset ($_REQUEST['bridging'])   ? ($_REQUEST['bridging']) : NULL);

$PUTclientaccess           = (isset ($_REQUEST['clientaccess'])  ? ($_REQUEST['clientaccess']) : NULL);
$PUTclient2client          = (isset ($_REQUEST['client2client']) ? ($_REQUEST['client2client']) : NULL);
$PUTtunnelroute            = (isset ($_REQUEST['tunnelroute'])   ? ($_REQUEST['tunnelroute']) : NULL);

$PUTfastio                 = (isset ($_REQUEST['fastIO'])     ? ($_REQUEST['fastIO']) : NULL);
$PUTmultihome              = (isset ($_REQUEST['multiHome'])  ? ($_REQUEST['multiHome']) : NULL);
$PUTmtudisc                = (isset ($_REQUEST['mtuDisc'])    ? ($_REQUEST['mtuDisc']) : NULL);
$PUTmtutest                = (isset ($_REQUEST['mtuTest'])    ? ($_REQUEST['mtuTest']) : NULL);
$PUTmssfix                 = (isset ($_REQUEST['mssfix'])     ? ($_REQUEST['mssfix']) : "no");
$PUTfragment               = (isset ($_REQUEST['fragment'])   ? ($_REQUEST['fragment']) : "no");
$PUTverb                   = (isset ($_REQUEST['verb'])       ? ($_REQUEST['verb']) : NULL);

$PUTManagementAddress      = (isset ($_REQUEST['managementAddress']) ? ($_REQUEST['managementAddress']) : NULL);
$PUTManagementPort         = (isset ($_REQUEST['managementPort'])    ? ($_REQUEST['managementPort']) : NULL);

$PUTAutoIncrement          = (isset ($_REQUEST['autoIncrement'])    ? ($_REQUEST['autoIncrement']) : NULL);


if ($PUTmssfix == "") $PUTmssfix = "no";
if ($PUTfragment == "") $PUTfragment = "no";

// Unnecessary code, here because it was copied from an earlier system

$name = $PUTcommonName;
$country = $PUTcountryName;
$province = $PUTstateOrProvinceName;
$city = $PUTlocalityName;
$company = $PUTorganizationName;
$dept = $PUTorganizationalUnitName;
$email = $PUTemailAddress;
$network = $PUTVPNNetwork;
$netmask = $PUTVPNNetmask;
$dnsaddress = $PUTDNSAddress;
$port = $PUTVPNPort;
$protocol = $PUTprotocol;
$tuntap = $PUTtuntap;
$dhbits = $PUTdhbits;
$client2client = $PUTclient2client;
$routeto = $PUTtunnelroute;
$clientaccess = $PUTclientaccess;
$duplicatecn = $PUTduplicatecn;
$bridge = $PUTbridging;
$windows = $PUTwindows;
$poolstart = $PUTPoolStart;
$poolend = $PUTPoolEnd;

$fastio = $PUTfastio;
$multihome = $PUTmultihome;
$mtudisc = $PUTmtudisc;
$mtutest = $PUTmtutest;
$mssfix = $PUTmssfix;
$fragment = $PUTfragment;
$verb = $PUTverb;
  
if ($routeto == "") $routeto="none";

$curdir = getcwd();

exec($config['Home'] . "/scripts/make_install_server.sh $name \"$country\" \"$province\" \"$city\" \"$company\" \"$dept\" \"$email\" $network $netmask $port  $dnsaddress $protocol $tuntap $dhbits $client2client $clientaccess $duplicatecn $routeto $bridge $windows \"$poolstart\" \"$poolend\" $fastio $multihome $mtudisc $mtutest \"$mssfix\" \"$fragment\" $verb $PUTManagementAddress $PUTManagementPort",$thelist);
chdir($curdir);

if ($PUTAutoIncrement == "on")
{
  $thelist[] = "Updating Ini File.";
  read_ini_file($config['Home'] . "/scripts/config/vars", $vars);
  $vars["PORT"]["PORT"] = $vars["PORT"]["PORT"] + $vars["PORT"]["PORT_INCREMENT"];
  $vars["ADVANCED"]["MANAGEMENT-PORT"] = $vars["ADVANCED"]["MANAGEMENT-PORT"] + $vars["ADVANCED"]["MANAGEMENT_PORT_INCREMENT"];
  write_ini_file($config['Home'] . "/scripts/config/vars", $vars);
}


$submitaction='Config';
$smarty->assign  ('thelist', $thelist);
$smarty->assign  ('Servername',        $name);
$smarty->assign  ('SubmitAction', $submitaction);

// Mode
$smarty->assign  ('mode', $config['mode']);
    
// Decoration
$smarty->assign  ('Company_Name',  $config['Company_Name']);
$smarty->assign  ('Company_Logo',  $config['Company_Logo']);
$smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
$smarty->assign  ('title',         'OpenVPN Web GUI : server configuration');

// Status Bar
$smarty->assign  ('Server',        $openvpn['Server']);
$smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);

// Action
$smarty->assign  ('action',        'INSTALL');

// Display
$smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
$smarty->assign  ('Plugins',       $config['Plugins']);
$smarty->assign  ('Page',          'action-output.tpl');
$smarty->display ('page.tpl');

exit;
?>
