<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

include_once ('include/openvpn-functions.inc');
include_once ('include/openssl-functions.inc');
//include_once ('include/inifile-functions.inc');

//read_ini_file($config['Home']."scripts/config/vars", $vars);
global $Server;


function exec_it(&$thelist, $execstr)
{
  $thelist[] = $execstr;
  exec($execstr);
}
  
openvpn_load_server_conf ();
if (!isset ($openvpn['Server'])) html_error ("The OpenVPN server has no configuration file");

openvpn_load_status ();
//if (!isset ($openvpn['Server']['Title'])) html_error ("2 The OpenVPN server has no status file");

if (isset($_REQUEST['updatevpnaccessinfo']))
{
  include_once ('include/inifile-functions.inc');
  read_ini_file($config['Home'] . "/easy-rsa/keys/$Server/vars", $vars);
  $port = $vars['']["PORT"];
  $dnsaddress = $vars['']["DNS_ADDRESS"];

  
  // load Smarty library
  require_once('Smarty.class.php');
  require_once('SmartyValidate.class.php');
  $smarty =& new Smarty;
  $smarty->plugins_dir[] = "./SmartyValidate-2.9/plugins";
  
  SmartyValidate::connect($smarty, true);
  
  SmartyValidate::register_validator('v_dnsaddress', 'DNSAddress', 'isDNSAddress', false, false, 'trim');
  SmartyValidate::register_validator('v_vpnport', 'VPNPort', 'isNumber', false, false, 'trim');
  
  include ("vpninfo-common.inc");
  $smarty->display ('page.tpl');
  exit;
}
if (isset($_REQUEST['savevpnaccessinfo']))
{
  // load Smarty library
  require_once('Smarty.class.php');
  require_once('SmartyValidate.class.php');
  $smarty = new Smarty;
  $smarty->plugins_dir[] = "./SmartyValidate-2.9/plugins";
  
  SmartyValidate::connect($smarty);
  
  if (!SmartyValidate::is_valid($_REQUEST))
  {
      include_once ('include/inifile-functions.inc');
    
    include ("vpninfo-common.inc");
    $smarty->assign($_REQUEST);
  
    $smarty->display('page.tpl');
    exit;
  }
  
  $c=$Server;
  $dns=$_REQUEST['DNSAddress'];
  $port=$_REQUEST['VPNPort'];
  
  include_once ('include/inifile-functions.inc');
  read_ini_file($config['Home'] . "/easy-rsa/keys/$Server/vars", $vars, true);
  $vars[""]["PORT"] = '"' . $port . '"';
  $vars[""]["DNS_ADDRESS"] = '"' . $dns . '"';  
  write_ini_file($config['Home'] . "/easy-rsa/keys/$Server/vars", $vars, "");
  
    // load Smarty library
  require_once('Smarty.class.php');
  
  $smarty = new Smarty;
    $thelist[] = "Update complete";
    
  $submitaction='Status';
  $smarty->assign  ('thelist', $thelist);
  $smarty->assign  ('Servername',        $Server);
  $smarty->assign  ('SubmitAction', $submitaction);
  
  // Mode
  $smarty->assign  ('mode', $config['mode']);
    
  // Decoration
  $smarty->assign  ('Company_Name',  $config['Company_Name']);
  $smarty->assign  ('Company_Logo',  $config['Company_Logo']);
  $smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
  $smarty->assign  ('title',         'OpenVPN Web GUI : server configuration');
  
  // Status Bar
  $smarty->assign  ('Server',        $openvpn['Server']);
  $smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);
  
  // Action
  $smarty->assign  ('action',        'INSTALL');
  
  // Display
  $smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
  $smarty->assign  ('Plugins',       $config['Plugins']);
  $smarty->assign  ('Page',          'action-output.tpl');
  
  $smarty->display ('page.tpl');
        

  exit;
}

$installed = file_exists($config['openvpn']['folder'] . "$Server.conf");
if (isset($_REQUEST['installcrl']))
{
  echo "installcrl";
  echo $Server;
  exec("sudo " . $config['Home'] . "/scripts/install-local.sh " . $config['Home'] . "/scripts/install_crl.sh $Server", $thelist);
      

} else
do
{
  if (!$installed)
  {
    $submitaction='Status';
    $c=$Server;
    $curdir = getcwd();
    if ($_REQUEST['submit'] == "install")
    {
    
      $dir = sys_get_temp_dir() . "/ovpninstall";
      if (!@mkdir($dir))
      {
        $thelist = "Unable to make install directory: $dir";
        break;
      }
      
      $f = "openvpn-$Server.sh";
      if (!copy($config['Home'] . "/servers/installscripts/$f", "$dir/$f"))
      {
        $thelist = "Unable to copy install file: $f";
        break;
      }
      if (!chdir($dir))
      {
        $thelist = "Unable to change to directory: $dir";
        break;
      }
      if (!chmod("$dir/$f", 0755))
      {
        $thelist = "Unable to change permissions of file: $dir/$f";
        break;
      }
      
      echo "$dir/$f<BR>";
      exec("sudo " . $config['Home'] . "/scripts/install-local.sh $dir/$f",$thelist, $rc);
        
      echo "sudo " . $config['Home'] . "/scripts/install-local.sh $dir/install.sh<BR>";
      exec("sudo " . $config['Home'] . "/scripts/install-local.sh $dir/install.sh", $thelist2);
      
      $thelist = array_merge($thelist, $thelist2);
      
//      @unlink("$dir/install.sh");
      @unlink("$dir/$f");
      @rmdir($dir);
    } else
    { // Remove
      $submitaction='ListServers';
      $s = substr($_REQUEST['submit'],6);
      $thelist = array();
      $d="-";
      $dash=strpos($s, $d, 0);
      if ($dash) {
        html_error("Only servers can be removed");
        $SERVER=substr($c, 0, $dash);
        $LOC = substr($c, $dash + 1);
      }
      else $SERVER=$c;
      exec("ls -1 " . $config['Home'] . "/easy-rsa/keys/$SERVER/$c*",$thelist2);
      
      foreach($thelist2 as $l =>$lv) {
        $n++;
        exec_it($thelist, "rm -rf $lv");
      }
      if (!$dash)
      {
        $files = array("/servers/$c.conf",
                      "/servers/$c.ovpn",
                      "/servers/$c-*.conf",
                      "/servers/$c-*.ovpn",
                      "/servers/installscripts/openvpn-$c.sh",
                      "/servers/installscripts/openvpn-$c.zip",
                      "/easy-rsa/keys/$c");
      
      
      } else $files = array();
      
      // Always delete the clients, this way when a server is deleted
      // all the clients for that server will also be deleted
      
      array_push($files,  "/clients/$c*.conf",
                         "/clients/$c*.ovpn",
                         "/clients/installscripts/openvpn-$c.sh",
                         "/clients/installscripts/openvpn-$c*.sh",
                         "/clients/installscripts/openvpn-$c.zip",
                         "/clients/installscripts/openvpn-$c*.zip");
    
      foreach($files as $f)
      {
        exec("rm -fr " . $config['Home'] . $f, $thelist2);
      }
    
    }
      
    chdir($curdir);
  } else
  {
    switch ($_REQUEST['submit'])
    {
    
    case 'reload':
      if (file_exists("/etc/init.d/openvpn") || $config['openvpn']['reload'] != "")
      {
        if ($config['openvpn']['reload'] != "") $f = $config['openvpn']['reload'] . " $Server";
          else $f = "/etc/init.d/openvpn reload $Server";
        $thelist[] = "sudo " . $config['Home'] . "/scripts/install-local.sh $f";
        exec("sudo " . $config['Home'] . "/scripts/install-local.sh $f", $thelist2);
        $thelist = array_merge($thelist, $thelist2);
      }
      $submitaction='SysCtl';
      break;

    case 'softrestart':
      if (file_exists("/etc/init.d/openvpn") || $config['openvpn']['softrestart'] != "")
      {
        if ($config['openvpn']['softrestart'] != "") $f = $config['openvpn']['softrestart'] . " $Server";
          else $f = "/etc/init.d/openvpn softrestart $Server";
        $thelist[] = "sudo " . $config['Home'] . "/scripts/install-local.sh $f";
        exec("sudo " . $config['Home'] . "/scripts/install-local.sh $f", $thelist2);
        $thelist = array_merge($thelist, $thelist2);
      }
      $submitaction='SysCtl';
      break;

    case 'condrestart':
      if (file_exists("/etc/init.d/openvpn") || $config['openvpn']['condrestart'] != "")
      {
        if ($config['openvpn']['condrestart'] != "") $f = $config['openvpn']['condrestart'] . " $Server";
          else $f = "/etc/init.d/openvpn stop $Server";
        $thelist[] = "sudo " . $config['Home'] . "/scripts/install-local.sh $f";
        exec("sudo " . $config['Home'] . "/scripts/install-local.sh $f", $thelist2);
        $thelist = array_merge($thelist, $thelist2);
      }
      $submitaction='SysCtl';
      break;

    
    
    
    
    
    case 'stop':
      if (file_exists("/etc/init.d/openvpn") || $config['openvpn']['stop'] != "")
      {
        if ($config['openvpn']['stop'] != "") $f = $config['openvpn']['stop'] . " $Server";
          else $f = "/etc/init.d/openvpn stop $Server";
        $thelist[] = "sudo " . $config['Home'] . "/scripts/install-local.sh $f";
        exec("sudo " . $config['Home'] . "/scripts/install-local.sh $f", $thelist2);
        $thelist = array_merge($thelist, $thelist2);
      }
      $submitaction='SysCtl';
      break;

    case 'start':
      if (file_exists("/etc/init.d/openvpn") || $config['openvpn']['start'] != "")
      {
        if ($config['openvpn']['start'] != "") $f = $config['openvpn']['start'] . " $Server";
          else $f = "/etc/init.d/openvpn start $Server";
        $thelist[] = "sudo " . $config['Home'] . "/scripts/install-local.sh $f";
        exec("sudo " . $config['Home'] . "/scripts/install-local.sh $f", $thelist2);
        $thelist = array_merge($thelist, $thelist2);
      }
      $submitaction='SysCtl';
      break;
    case 'restart':
      if (file_exists("/etc/init.d/openvpn") || $config['openvpn']['restart'] != "")
      {
        if ($config['openvpn']['restart'] != "") $f = $config['openvpn']['restart'] . " $Server";
          else $f = "/etc/init.d/openvpn restart $Server";
        $thelist[] = "sudo " . $config['Home'] . "/scripts/install-local.sh $f";
        exec("sudo " . $config['Home'] . "/scripts/install-local.sh $f", $thelist2);
        $thelist = array_merge($thelist, $thelist2);
      }
      $submitaction='SysCtl';
      break;
    case 'stopall':
      if (file_exists("/etc/init.d/openvpn") || $config['openvpn']['stop'] != "")
      {
        if ($config['openvpn']['stop'] != "") $f = $config['openvpn']['stop'];
          else $f = "/etc/init.d/openvpn stop";
        $thelist[] = "sudo " . $config['Home'] . "/scripts/install-local.sh $f";
        exec("sudo " . $config['Home'] . "/scripts/install-local.sh $f", $thelist2);
        $thelist = array_merge($thelist, $thelist2);
      }
      $submitaction='SysCtl';
      break;

    case 'startall':
      if (file_exists("/etc/init.d/openvpn") || $config['openvpn']['start'] != "")
      {
        if ($config['openvpn']['start'] != "") $f = $config['openvpn']['start'];
          else $f = "/etc/init.d/openvpn start";
        $thelist[] = "sudo " . $config['Home'] . "/scripts/install-local.sh $f";
        exec("sudo " . $config['Home'] . "/scripts/install-local.sh $f", $thelist2);
        $thelist = array_merge($thelist, $thelist2);
      }
      $submitaction='SysCtl';
      break;
    case 'restartall':
      if (file_exists("/etc/init.d/openvpn") || $config['openvpn']['restart'] != "")
      {
        if ($config['openvpn']['restart'] != "") $f = $config['openvpn']['restart'];
          else $f = "/etc/init.d/openvpn restart";
        $thelist[] = "sudo " . $config['Home'] . "/scripts/install-local.sh $f";
        exec("sudo " . $config['Home'] . "/scripts/install-local.sh $f", $thelist2);
        $thelist = array_merge($thelist, $thelist2);
      }
      $submitaction='SysCtl';
      break;
      
    default:
      $submitaction='Config';
      $c=$Server;
      
      $thelist = array();
      
      $thelist[] = "Uninstalling $c.conf";
      $thelist[] = "";
      $files = array("$c.conf",
                     "$c/ca.key",
                     "$c/ca.crt",
                     "$c/ta.key",
                     "$c/$c.crt",
                     "$c/$c.key",
                     "$c/ipp.txt",
                     "$c/crl.pem",
                     "$c/dh-ws123.pem",
                     "$c/serverup.sh",
                     "gateway/$c");
      foreach($files as $f)
      {
        $thelist[] = "$f";
        exec("sudo " . $config['Home'] . "/scripts/install-local.sh /bin/rm -f " . $config['openvpn']['folder'] . "/$f", $thelist2);
        $thelist = array_merge($thelist, $thelist2);
      }
      $thelist[] = $config['openvpn']['folder'] . "/$c/";
      unset($thelist2);
      exec("sudo " . $config['Home'] . "/scripts/install-local.sh /bin/rmdir " . $config['openvpn']['folder']. "/$c", $thelist2);
      $thelist = array_merge($thelist, $thelist2);
      
      if (file_exists("/etc/init.d/openvpn") || $config['openvpn']['restart'] != "")
      {
        if ($config['openvpn']['restart'] != "") $f = $config['openvpn']['restart'];
          else $f = "/etc/init.d/openvpn restart";
        $thelist[] = "sudo " . $config['Home'] . "/scripts/install-local.sh $f";
        exec("sudo " . $config['Home'] . "/scripts/install-local.sh $f", $thelist2);
        $thelist = array_merge($thelist, $thelist2);
      }
  
    }
  }
} while (false);

// load Smarty library
require_once('Smarty.class.php');

$smarty = new Smarty;

  $smarty->assign  ('thelist', $thelist);
  $smarty->assign  ('Servername',        $Server);
  $smarty->assign  ('SubmitAction', $submitaction);

// Mode
$smarty->assign  ('mode', $config['mode']);
    
// Decoration
$smarty->assign  ('Company_Name',  $config['Company_Name']);
$smarty->assign  ('Company_Logo',  $config['Company_Logo']);
$smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
$smarty->assign  ('title',         'OpenVPN Web GUI : server configuration');

// Status Bar
$smarty->assign  ('Server',        $openvpn['Server']);
$smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);

// Action
$smarty->assign  ('action',        'INSTALL');

// Display
$smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
$smarty->assign  ('Plugins',       $config['Plugins']);
$smarty->assign  ('Page',          'action-output.tpl');
$smarty->display ('page.tpl');
  
exit;
?>
