<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

include_once ('include/openvpn-functions.inc');


// load Smarty library
require_once('Smarty.class.php');
$smarty = new Smarty;

$confs = @exec("ls -1 " . $config['openvpn']['folder'] . "*.conf", $thelist);
if (!$confs) $thelist = array();

$confs = @exec("ls -1 " . $config['Home'] . "/easy-rsa/keys", $keyslist);
if (!$confs) $keyslist = array();


foreach ($thelist as  $lv)
{
  $lv2=str_replace($config['openvpn']['folder'] , "", $lv);
  $lv3=str_replace(".conf", "", $lv2);
  $f = @file($config['openvpn']['folder'] . "gateway/$lv3");
  $w = explode(" ", $f[0]);
  
  $x = array_search($lv3, $keyslist);
  $z = in_array($lv3, $keyslist);
  if ($x || $z) $keyslist[$x] = "";
  $openvpn['Client'][] = array ('CN'  => 
                                "<a href=\"index.php?Action=Status&server=$lv3\">$lv3</a>",
                                'DEV' => $w[0],
                                'ADDRESS' => $w[3],
                                'TAPMTU' => $w[1],
                                'LINKMTU' => $w[2]
                                );
}

foreach ($keyslist as  $lv)
{
  if ($lv != "")
  {
    $openvpn['Client'][] = array ('CN'  => 
                                  "<a href=\"index.php?Action=Status&server=$lv\">$lv</a>",
                                  'DEV' => "Not Installed",
                                  'ADDRESS' => "",
                                  'TAPMTU' => "",
                                  'LINKMTU' => ""
                                  );
  }
}



// Mode
$smarty->assign  ('mode', $config['mode']);
    
// Decoration
$smarty->assign  ('Company_Name',  $config['Company_Name']);
$smarty->assign  ('Company_Logo',  $config['Company_Logo']);
$smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
$smarty->assign  ('title',         'OpenVPN Web GUI : server status [refreshes every minute]');
$smarty->assign  ('refresh',       '60');

// Status Bar
//$smarty->assign  ('Server',        $openvpn['Server']);
//$smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);

// Action
$smarty->assign  ('action',        'LISTSERVERS');

// Action-Specific
if (isset ($openvpn['Client']))
 $smarty->assign ('Client',        $openvpn['Client']);

// Display
$smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
$smarty->assign  ('Plugins',       $config['Plugins']);
$smarty->assign  ('Page',          'action-listservers.tpl');


$smarty->display ('page.tpl');
//$smarty->display ('page-noleft.tpl');

?>
