<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

include_once ('include/openvpn-functions.inc');
include_once ('include/openssl-functions.inc');
include_once ('include/inifile-functions.inc');

read_ini_file($config['Home']."scripts/config/vars", $vars);

openvpn_load_server_conf ();
if (!isset ($openvpn['Server'])) html_error ("The OpenVPN server has no configuration file");
    
openvpn_load_status ();
//if (!isset ($openvpn['Server']['Title'])) html_error ("5 The OpenVPN server has no status file");



$username = $vars["PROXY"]["USERNAME"];
$password = $vars["PROXY"]["PASSWORD"];

$authenticationmethod = $vars["PROXY"]["AUTHENTICATION_METHOD"];

$httpproxyhost = $vars["PROXY"]["HTTP_PROXY_HOST"];
$httpproxyretry = $vars["PROXY"]["HTTP_PROXY_RETRY"];
$httpproxytimeout = $vars["PROXY"]["HTTP_PROXY_TIMEOUT"];
$httpproxyoption_version = $vars["PROXY"]["HTTP_PROXY_OPTION-VERSION"];
$httpproxyoption_agent = $vars["PROXY"]["HTTP_PROXY_OPTION-AGENT"];

$socksproxyhost = $vars["PROXY"]["SOCKS_PROXY_HOST"];
$socksproxyretry = $vars["PROXY"]["SOCKS_PROXY_RETRY"];


exec("egrep  'PORT|DNS_ADDRESS' " . $config['Home'] . "/easy-rsa/keys/$Server/vars",$thelist);
foreach ($thelist as $l => $lv) {
  $tok=strtok($lv, "\"");
  $value=strtok("\"");
  if ( $tok == "PORT=") $port=$value;
  if ( $tok == "DNS_ADDRESS=" ) $dnsaddress=$value;
}


// load Smarty library
require_once('Smarty.class.php');
require_once('SmartyValidate.class.php');
$smarty =& new Smarty;
$smarty->plugins_dir[] = "./SmartyValidate-2.9/plugins";

SmartyValidate::connect($smarty, true);
SmartyValidate::register_validator('v_clientname', 'ClientName:/^[a-zA-Z0-9]+$/','isRegExp', false, false, 'trim');
SmartyValidate::register_validator('v_httpproxyhost', 'httpproxyhost', 'isDNSAddress', true, false, 'trim');
SmartyValidate::register_validator('v_httpproxytimeout', 'httpproxytimeout', 'isNumber', false, false, 'trim');

include('client-common.inc');


$smarty->display ('page.tpl');

?>
