<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

include_once ('include/openvpn-functions.inc');
include_once ('include/openssl-functions.inc');

openvpn_load_server_conf ();
if (!isset ($openvpn['Server'])) html_error ("The OpenVPN server has no configuration file");

openvpn_load_status ();
//if (!isset ($openvpn['Server']['Title'])) html_error ("1 The OpenVPN server has no status file");

openssl_load_database ();
openvpn_find_connected ();
$installed = file_exists($config['openvpn']['folder'] . "$Server.conf");

for ($i = 0; $i < sizeof($openssl['Database']); $i++)
{
  $d="-";
  $dash=strpos($openssl['Database'][$i]['CN'], $d, 0);
  if ($dash) {
    $dir = "clients/";
  }
  else $dir = "servers/";
  $f = $config['Home'] . $dir . $openssl['Database'][$i]['CN'] . ".conf";
  if (file_exists($f)) $openssl['Database'][$i]['Exists'] = true;
  else $openssl['Database'][$i]['Exists'] = false;
  $openssl['Database'][$i]['Installed'] = file_exists($config['openvpn']['folder'] . 
              $openssl['Database'][$i]['CN'] . ".conf");
  
}  

// load Smarty library
require_once('Smarty.class.php');
$smarty = new Smarty;

    if ( isset($config['Plugins']['win32installer']))
    {
      $smarty->assign  ('Win32installer', 'true');
    }


global $Server;
$smarty->assign  ('Servername',        $Server);
$smarty->assign  ('Installed',     $installed);

// Mode
$smarty->assign  ('mode', $config['mode']);
    
// Decoration
$smarty->assign  ('Company_Name',  $config['Company_Name']);
$smarty->assign  ('Company_Logo',  $config['Company_Logo']);
$smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
$smarty->assign  ('title',         'OpenVPN Web GUI : OpenSSL certificates [refreshes every minute]');
$smarty->assign  ('refresh',       '60');

// Status Bar
$smarty->assign  ('Server',        $openvpn['Server']);
$smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);
$smarty->assign  ('Certificates',  $openssl['Database']);

// Action
$smarty->assign  ('action',        'CERTIFICATES');

// Action-Specific
if (isset ($openvpn['Client']))
 $smarty->assign ('Client',        $openvpn['Client']);

// Display
$smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
$smarty->assign  ('Plugins',       $config['Plugins']);
$smarty->assign  ('Page',          'action-servers.tpl');
$smarty->display ('page.tpl');
?>
