<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();

include_once ('include/openvpn-functions.inc');
include_once ('include/openssl-functions.inc');

global $System;

global $Server;
if ($Server != "")
{
  openvpn_load_server_conf ();
  if (!isset ($openvpn['Server'])) html_error ("The OpenVPN server has no configuration file");

  openvpn_load_status ();
//  if (!isset ($openvpn['Server']['Title'])) html_error ("The OpenVPN server has no status file");
}
// load Smarty library
require('Smarty.class.php');
$smarty = new Smarty;

// Check openssl version
exec("openssl version -v", $thelist);
if ($thelist[0] >= "0.9.7")
{
  $opensslversion = $thelist[0] . ": <font color=\"black\">OK</font>";
} else $opensslversion = "<font color=\"red\">Missing or not valid</font>";
unset($thelist);
unset($thelist2);

exec("which uuencode >/dev/null; echo $?", $thelist);
exec("which shar >/dev/null; echo $?", $thelist2);
if ($thelist[0] != "0")
$sharutils = "<font color=\"red\">Missing uuencode</font>";
else if ($thelist2[0] != 0)
$sharutils = "<font color=\"red\">Missing shar</font>";
else $sharutils = "<font color=\"black\">OK</font>";

unset($thelist);
unset($thelist2);
exec("which todos >/dev/null; echo $?", $thelist);
exec("which unix2dos >/dev/null; echo $?", $thelist2);
if ($thelist[0] == "0" || $thelist2[0] == "0")
$tofrodos = "<font color=\"black\">OK</font>";
else $tofrodos = "<font color=\"red\">Missing todos/unix2dos</font>";

unset($thelist);
exec ("/usr/sbin/openvpn --version", $thelist);
if ($thelist[0] >= "OpenVPN 2.0.9")
  $openvpnversion = $thelist[0] .  ": <font color=\"black\">OK</font>";
else $openvpnversion = $thelist[0] . ": Missing or too old";
  
if ($smarty->_version >= "2.6")
$smartyversion = $smarty->_version . ": <font color=\"black\">OK</font>";
else $smartyversion = "<font color=\"red\">May have some incompatibilies</font>";

if (phpversion() >= "4.8")
$phpversion = phpversion() . ": <font color=\"black\">OK</font>";
else $phpversion = "<font color=\"red\">Too old</font>";
  


$smarty->assign  ('Servername',        $Server);

// Inherited from the Web GUI project
$smarty->assign  ('Company_Name',  $config['Company_Name']);
$smarty->assign  ('Company_Logo',  $config['Company_Logo']);
$smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
$smarty->assign  ('Server',        $openvpn['Server']);
$smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);
$smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
$smarty->assign  ('Plugins',       $config['Plugins']);

// Action-specific. action and Page vars should reflect the plugin config.inc's corresponding ones
$smarty->assign  ('title',         'OpenVPN Web GUI : System Check');

$smarty->assign  ('phpversion',    $phpversion);
$smarty->assign  ('opensslversion',$opensslversion);
$smarty->assign  ('smartyversion', $smartyversion);
$smarty->assign  ('sharutils',     $sharutils);
$smarty->assign  ('tofrodos',     $tofrodos);
$smarty->assign  ('openvpnversion',     $openvpnversion);

$smarty->assign  ('OpenSSLStatus', openssl_check_functions ());
$smarty->assign  ('ZLibStatus',    zlib_check_functions ());
$smarty->assign  ('action',        'SYSCHECK');
$smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'systemcheck/action.tpl');

// Display
$smarty->display ('page.tpl');
?>
