<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();


include_once ('include/openvpn-functions.inc');
include_once ('include/openssl-functions.inc');
include_once ('include/inifile-functions.inc');

//openvpn_load_server_conf ();
//if (!isset ($openvpn['Server'])) html_error ("The OpenVPN server has no configuration file");
    
//openvpn_load_status ();
//if (!isset ($openvpn['Server']['Title'])) html_error ("5 The OpenVPN server has no status file");

function isDir($value, $empty, &$params, &$formvars)
{
  if (substr($value, strlen($value) - 1, 1) != '/') return false;
  if (!is_dir($value)) return false;
  return file_exists($value);
}

function isFile($value, $empty, &$params, &$formvars)
{
  if (substr($value, strlen($value) - 1, 1) == '/') return false;
  if (!is_file($value)) return false;
  return file_exists($value);
}

function isExecutable($value, $empty, &$params, &$formvars)
{
  if (substr($value, strlen($value) - 1, 1) == '/') return false;
  if (!is_file($value)) return false;
  return is_executable($value);
}


// load Smarty library
require_once('Smarty.class.php');
require_once('SmartyValidate.class.php');
$smarty =& new Smarty;
$smarty->plugins_dir[] = "./SmartyValidate-2.9/plugins";

if (!isset($_REQUEST['Action2']) || $_REQUEST['Action2'] != 'Save')
{
  SmartyValidate::connect($smarty, true);
} else  SmartyValidate::connect($smarty);

SmartyValidate::register_criteria('isDir', 'isDir');
SmartyValidate::register_criteria('isFile', 'isFile');
SmartyValidate::register_criteria('isExecutable', 'isExecutable');

$smarty->assign  ('action',        'SYSCONFIG');
$smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
$smarty->assign  ('Plugins',       $config['Plugins']);

if ($_REQUEST['What'] == "openvpn")
{
  $smarty->assign("protocolOptions", array("tcp" => "TCP",
                                           "udp" => "UDP"));
  $smarty->assign("dhOptions", array("1024" => "1024",
                                           "2048" => "2048"));
  $smarty->assign("duplicatecnOptions", array("no" => "No",
                                              "yes" => "Yes"));
  $smarty->assign("windowsOptions", array("no" => "No",
                                          "yes" => "Yes"));
  $smarty->assign("clientaccessOptions", array("no" => "No",
                                               "yes" => "Yes"));
  $smarty->assign("client2clientOptions", array("no" => "No",
                                                "yes" => "Yes"));
  $smarty->assign("fastIOOptions", array("no" => "No",
                                         "yes" => "Yes"));
  $smarty->assign("multiHomeOptions", array("no" => "No",
                                            "yes" => "Yes"));
  $smarty->assign("mtuTestOptions", array("no" => "No",
                                          "yes" => "Yes"));
  $smarty->assign("httpproxyretryOptions", array("no" => "No",
                                                 "yes" => "Yes"));

  $smarty->assign("socksproxyretryOptions", array("no" => "No",
                                                  "yes" => "Yes"));
  $smarty->assign("bridgingOptions", array("no" => "No",
                                           "yes" => "Yes",
                                           "yes-proxy" => "Yes, DHCP Proxied",
                                           "yes-nogw" => "Yes, DHCP proxied & no gateway"
                                           ));
  $smarty->assign("tuntapOptions", array("tapXXX" => "Tap - static",
                                         "tunXXX" => "Tun - static",
                                         "tap" => "Tap",
                                         "tun" => "Tun"));
  
  $smarty->assign("verboseOptions", array("1" => "1",
                                          "2" => "2",
                                          "3" => "3",
                                          "4" => "4",
                                          "5" => "5",
                                          "6" => "6",
                                          "7" => "7",
                                          "8" => "8",
                                          "9" => "9",
                                          "10" => "10",
                                          "11" => "11"
                                          ));
  $smarty->assign("mtuDiscoveryOptions", array("kernel" => "Kernel Default",
                                               "no" => "No",
                                               "maybe" => "Maybe",
                                               "yes" => "Yes"));
  
  $file = "vars";
  if (!file_exists($config['Home'] . "scripts/config/" . $file))
    $file = "vars.orig";
    
  read_ini_file($config['Home'] . "scripts/config/" . $file, $configEdit);
  $file = "vars";
  
  if (isset($_REQUEST['Action2']) && $_REQUEST['Action2'] == 'Save')
  {
    if (!SmartyValidate::is_valid($_REQUEST))
    {

      $smarty->assign  ('Page',          getcwd() . '/plugins/systemconfig/serverconfig.tpl');
      $smarty->assign($_REQUEST);
      $smarty->display('page.tpl');
      exit;
    
    }
    SmartyValidate::disconnect();
    
    $configEdit['PORT']['PORT_INCREMENT'] = $_REQUEST['PortIncrement'];
    $configEdit['PORT']['PORT'] = $_REQUEST['Port'];
    
    $configEdit['OPTIONS']['PROTOCOL'] = $_REQUEST['protocol'];
    $configEdit['OPTIONS']['TAPTUN'] = $_REQUEST['tuntap'];
    $configEdit['OPTIONS']['DHBITS'] = $_REQUEST['dhbits'];
    $configEdit['OPTIONS']['DUPLICATECN'] = $_REQUEST['duplicatecn'];
    $configEdit['OPTIONS']['BRIDGE'] = $_REQUEST['bridging'];
    $configEdit['OPTIONS']['WINDOWS'] = $_REQUEST['windows'];
    
    $configEdit['TUNNEL']['CLIENTACCESS'] = $_REQUEST['clientaccess'];
    $configEdit['TUNNEL']['CLIENT2CLIENT'] = $_REQUEST['client2client'];
    
    $configEdit['ADVANCED']['MANAGEMENT-ADDRESS'] = $_REQUEST['ManagementAddress'];
    $configEdit['ADVANCED']['MANAGEMENT-PORT'] = $_REQUEST['managementPort'];
    $configEdit['ADVANCED']['MANAGEMENT_PORT_INCREMENT'] = $_REQUEST['managementPortIncrement'];
    $configEdit['ADVANCED']['FAST-IO'] = $_REQUEST['fastIO'];
    $configEdit['ADVANCED']['MULTIHOME'] = $_REQUEST['multiHome'];
    $configEdit['ADVANCED']['MTU-DISCOVERY'] = $_REQUEST['mtuDisc'];
    $configEdit['ADVANCED']['MTU-TEST'] = $_REQUEST['mtuTest'];
    $configEdit['ADVANCED']['VERB'] = $_REQUEST['verb'];
    
    
    $mssfix = $_REQUEST['mssfix'];
    if ($mssfix == '') $mssfix = "no";
    $configEdit['ADVANCED']['MSSFIX'] = $mssfix;
    
    $fragment = $_REQUEST['fragment'];
    if ($fragment == '') $fragment = "no";
    $configEdit['ADVANCED']['FRAGMENT'] = $fragment;
                           
                           
                           
    $rc = write_ini_file($config['Home'] . "scripts/config/" . $file, $configEdit);
    if ($rc < 0)
    {
      $rc = write_ini_file($config['Home'] . "scripts/config/" . $file, $configEdit);
      if ($rc < 0)
      {
        $thelist[] = "Unable to save the configuration file to either" . $config['Home'] . "scripts/config/ ";
        $thelist[] = "directory or the /tmp directory.";
      } else
      {
        $thelist[] = "The new configuration file has been saved to /tmp.  You need to move it into";
        $thelist[] = "the " . $config['Home'] . "scripts/config/ directory and set the permissions appropriately.";
      }
    } else $thelist[] = "The new configuration file has been saved.";
    $smarty->assign ('thelist', $thelist);
    $smarty->assign  ('Page',          getcwd() . '/plugins/systemconfig/action-saved.tpl');
    $smarty->assign($_REQUEST);
    $smarty->display('page.tpl');
    
    exit;
  }
  

  SmartyValidate::register_validator('v_portIncrement', 'PortIncrement','isNumber', false, false, 'trim');
  SmartyValidate::register_validator('v_port', 'Port','isNumber', false, false, 'trim');
  
  SmartyValidate::register_validator('v_mssfix', 'mssfix', 'isNumber', true, false, 'trim');
  SmartyValidate::register_validator('v_fragment', 'fragment', 'isNumber', true, false, 'trim');

  SmartyValidate::register_validator('v_managementaddress', 'ManagementAddress', 'isIPAddress', false, false, 'trim');
  SmartyValidate::register_validator('v_managementport', 'managementPort', 'isNumber', false, false, 'trim');
  SmartyValidate::register_validator('v_managementportincrement', 'managementPortIncrement', 'isNumber', false, false, 'trim');
  
  
  $smarty->assign  ('PortIncrement', (isset ($_REQUEST['PortIncrement']) ? ($_REQUEST['PORT_INCREMENT']) : $configEdit["PORT"]["PORT_INCREMENT"]));
  $smarty->assign  ('Port', (isset ($_REQUEST['Port']) ? ($_REQUEST['PORT']) : $configEdit["PORT"]["PORT"]));
  
  $smarty->assign("protocolSelect", (isset ($_REQUEST['protocol']) ? ($_REQUEST['protocol']) : $configEdit["OPTIONS"]["PROTOCOL"]));
  $smarty->assign("tuntapSelect", (isset ($_REQUEST['tuntap']) ? ($_REQUEST['tuntap']) :$configEdit["OPTIONS"]["TAPTUN"]));
  $smarty->assign("dhSelect", (isset ($_REQUEST['dhbits']) ? ($_REQUEST['dhbits']) : $configEdit["OPTIONS"]["DHBITS"]));
  $smarty->assign("duplicatecnSelect", (isset ($_REQUEST['duplicatecn']) ? ($_REQUEST['duplicatecn']) : $configEdit["OPTIONS"]["DUPLICATECN"]));
  $smarty->assign("bridgingSelect", (isset ($_REQUEST['bridging']) ? ($_REQUEST['bridging']) : $configEdit["OPTIONS"]["BRIDGE"]));
  $smarty->assign("windowsSelect", (isset ($_REQUEST['windows']) ? ($_REQUEST['windows']) : $configEdit["OPTIONS"]["WINDOWS"]));
  
  $smarty->assign("clientaccessSelect", (isset ($_REQUEST['clientaccess']) ? ($_REQUEST['clientaccess']) : $configEdit["TUNNEL"]["CLIENTACCESS"]));
  $smarty->assign("client2clientSelect", (isset ($_REQUEST['client2client']) ? ($_REQUEST['client2client']) : $configEdit["TUNNEL"]["CLIENT2CLIENT"]));
  
  $smarty->assign ('ManagementAddress', (isset ($_REQUEST['ManagementAddress']) ? ($_REQUEST['ManagementAddress']) : $configEdit["ADVANCED"]["MANAGEMENT-ADDRESS"]));
  $smarty->assign ('managementPort',  (isset ($_REQUEST['managementPort']) ? ($_REQUEST['managementPort']) : $configEdit["ADVANCED"]["MANAGEMENT-PORT"]));
  $smarty->assign ('managementPortIncrement',  (isset ($_REQUEST['managementPortIncrement']) ? ($_REQUEST['managementPortIncrement']) : $configEdit["ADVANCED"]["MANAGEMENT_PORT_INCREMENT"]));
  $smarty->assign("fastIOSelect", (isset ($_REQUEST['fastIO']) ? ($_REQUEST['fastIO']) : $configEdit["ADVANCED"]["FAST-IO"]));
  $smarty->assign("multiHomeSelect", (isset ($_REQUEST['multiHome']) ? ($_REQUEST['multiHome']) : $configEdit["ADVANCED"]["MULTIHOME"]));
  
  $smarty->assign("mtuDiscoverySelect", (isset ($_REQUEST['mtuDisc']) ? ($_REQUEST['mtuDisc']) : $configEdit["ADVANCED"]["MTU-DISCOVERY"]));
  $smarty->assign("mtuTestSelect", (isset ($_REQUEST['mtuTest']) ? ($_REQUEST['mtuTest']) : $configEdit["ADVANCED"]["MTU-TEST"]));
  $smarty->assign("verboseSelect", (isset ($_REQUEST['verb']) ? ($_REQUEST['verb']) : $configEdit["ADVANCED"]["VERB"]));
  
  $mssfix = $configEdit['ADVANCED']['MSSFIX'];
  $fragment = $configEdit['ADVANCED']['FRAGMENT'];
  if ($mssfix == "no") $mssfix = "";
  if ($fragment == "no") $fragment = "";
  $smarty->assign ('mssfix',(isset ($_REQUEST['mssfix'])   ? ($_REQUEST['mssfix']) : $mssfix));
  $smarty->assign ('Fragment',(isset ($_REQUEST['fragment'])   ? ($_REQUEST['fragment']) : $fragment));

  $smarty->assign  ('Page',          getcwd() . '/plugins/systemconfig/serverconfig.tpl');
  
}

if ($_REQUEST['What'] == "system")
{
  $file="openvpncertmgmt.conf";
  if (file_exists("/etc/" . $file))
    read_ini_file("/etc/" . $file, $configEdit);
  else read_ini_file("../../setup/" . $file, $configEdit);
  read_ini_file($configEdit['Home']."scripts/config/vars", $vars);
  
  
     
  $smarty->assign("version21Options", array("no" => "No",
                                                 "yes" => "Yes"));
  
  $smarty->assign("modeOptions", array("full" => "Full",
                                       "status" => "Status Only"));
  
  $smarty->assign("authenticationOptions", array("0" => "No",
                                                 "1" => "Yes"));
  $smarty->assign("usepamOptions", array("0" => "No",
                                         "1" => "Yes"));
  $smarty->assign("useldapOptions", array("0" => "No",
                                         "1" => "Yes"));
  if (isset($_REQUEST['Action2']) && $_REQUEST['Action2'] == 'Save')
  {
    if (!SmartyValidate::is_valid($_REQUEST))
    {
      $smarty->assign  ('Page',          getcwd() . '/plugins/systemconfig/action-systemconfig.tpl');
      $smarty->assign($_REQUEST);
      $smarty->display('page.tpl');
      exit;
    
    }
    SmartyValidate::disconnect();
    
    $configEdit['']['COMPANYNAME'] = $_REQUEST['Company_Name'];
    $configEdit['']['COMPANYLOGO'] = $_REQUEST['Company_Logo'];
    $configEdit['']['URLHOMEPAGE'] = $_REQUEST['URL_Home_Page'];
    
    $configEdit['']['OPENVPNHOME'] = $_REQUEST['OpenVPNHome'];
    $configEdit['']['OPENVPN'] = $_REQUEST['OpenVPN'];
    $configEdit['']['WWW'] = $_REQUEST['www'];
    $configEdit['']['SMARTY'] = $_REQUEST['smartyloc'];
    $configEdit['']['OPENVPN_VERSION_21'] = $_REQUEST['version21'];
  
    $configEdit['']['OPENVPNBIN'] = $_REQUEST['openvpnbin'];
    $configEdit['']['OPENSSL'] = $_REQUEST['openssl'];
    $configEdit['']['START'] = $_REQUEST['openvpnstart'];
    $configEdit['']['STOP'] = $_REQUEST['openvpnstop'];
    $configEdit['']['RESTART'] = $_REQUEST['openvpnrestart'];
    
    $configEdit['']['RELOAD'] = $_REQUEST['openvpnreload'];
    $configEdit['']['SOFTRESTART'] = $_REQUEST['openvpnsoftrestart'];
    $configEdit['']['CONDRESTART'] = $_REQUEST['openvpncondrestart'];
    
    
    $configEdit['']['MODE'] = $_REQUEST['modeSelect'];
    
    $configEdit['']['AUTHENTICATE'] = $_REQUEST['authenticationSelect'];
    $configEdit['']['PAM_ALLOW_LOGIN'] = $_REQUEST['usepamSelect'];
    $configEdit['']['LDAP_ALLOW_LOGIN'] = $_REQUEST['useldapSelect'];
    $configEdit['']['LDAP_HOST'] = $_REQUEST['ldaphost'];
    $configEdit['']['LDAP_PORT'] = $_REQUEST['ldapport'];
    $configEdit['']['LDAP_BASE_DN'] = $_REQUEST['ldapbasedn'];
    $configEdit['']['LDAP_VERSION'] = $_REQUEST['ldapversion'];
    $configEdit['']['LDAP_SEARCH_USER'] = $_REQUEST['ldapsearchuser'];
    $configEdit['']['LDAP_SEARCH_PASS'] = $_REQUEST['ldapsearchpass'];
    $configEdit['']['LDAP_USER_FILTER'] = $_REQUEST['ldapuserfilter'];
  
    
    $rc = write_ini_file("/tmp/openvpncertmgmt.conf", $configEdit, "", '"');
    if ($rc < 0)
    {
      $thelist[] = "Unable to save the configuration file to the /tmp directory.";
    } else
    {
      $thelist[] = "The new configuration file has been saved to /tmp.  You need to move it into";
      $thelist[] = "the /etc directory and set the permissions appropriately.";
    }
    $smarty->assign ('thelist', $thelist);
    $smarty->assign  ('Page',          getcwd() . '/plugins/systemconfig/action-saved.tpl');
    $smarty->assign($_REQUEST);
    $smarty->display('page.tpl');
    
    exit;
  }
  
  SmartyValidate::register_validator('v_openvpnhome', 'OpenVPNHome','isDir', false, false, 'trim');
  SmartyValidate::register_validator('v_OpenVPN', 'OpenVPN','isDir', false, false, 'trim');
  SmartyValidate::register_validator('v_www', 'www','isDir', false, false, 'trim');
  SmartyValidate::register_validator('v_smartyloc', 'smartyloc','isDir', false, false, 'trim');
  SmartyValidate::register_validator('v_openvpnbin', 'openvpnbin','isExecutable', false, false, 'trim');
  SmartyValidate::register_validator('v_openssl', 'openssl','isExecutable', false, false, 'trim');
  SmartyValidate::register_validator('v_openvpnstart', 'openvpnstart','notEmpty', false, false, 'trim');
  SmartyValidate::register_validator('v_openvpnstop', 'openvpnstop','notEmpty', false, false, 'trim');
  SmartyValidate::register_validator('v_openvpnrestart', 'openvpnrestart','notEmpty', false, false, 'trim');
  
  SmartyValidate::register_validator('v_openvpnreload', 'openvpnreload','notEmpty', false, false, 'trim');
  SmartyValidate::register_validator('v_openvpnsoftrestart', 'openvpnsoftrestart','notEmpty', false, false, 'trim');
  SmartyValidate::register_validator('v_openvpncondrestart', 'openvpncondrestart','notEmpty', false, false, 'trim');
  
  
  //$smarty->assign  ('Readonly', 'readonly');
  $smarty->assign  ('Readonly', '');
  
  // Mode
  $smarty->assign  ('mode', $configEdit['mode']);
      
  // Decoration
  $smarty->assign  ('Company_Name',  $configEdit['']['COMPANYNAME']);
  $smarty->assign  ('Company_Logo',  $configEdit['']['COMPANYLOGO']);
  $smarty->assign  ('URL_Home_Page', $configEdit['']['URLHOMEPAGE']);
  
  
  
  $smarty->assign  ('title', 'System Configuration');
  
  $smarty->assign  ('OpenVPNHome', $configEdit['']['OPENVPNHOME']);
  $smarty->assign  ('OpenVPN', $configEdit['']['OPENVPN']);
  $smarty->assign  ('www', $configEdit['']['WWW']);
  $smarty->assign  ('smartyloc', $configEdit['']['SMARTY']);
  $smarty->assign  ('version21', $configEdit['']['OPENVPN_VERSION_21']);
  
  $smarty->assign  ('version21Select', $configEdit['']['OPENVPN_VERSION_21']);
  
  $smarty->assign  ('openvpnbin', $configEdit['']['OPENVPNBIN']);
  $smarty->assign  ('openssl', $configEdit['']['OPENSSL']);
  $smarty->assign  ('openvpnstart', $configEdit['']['START']);
  $smarty->assign  ('openvpnstop', $configEdit['']['STOP']);
  $smarty->assign  ('openvpnrestart', $configEdit['']['RESTART']);
  
  $smarty->assign  ('openvpnreload', $configEdit['']['RELOAD']);
  $smarty->assign  ('openvpnsoftrestart', $configEdit['']['SOFTRESTART']);
  $smarty->assign  ('openvpncondrestart', $configEdit['']['CONDRESTART']);
  
  
  $smarty->assign  ('modeSelect', $configEdit['']['MODE']);
  
  
  
  $smarty->assign  ('authenticationSelect', $configEdit['']['AUTHENTICATE']);
  
  $smarty->assign  ('adminusers', $configEdit['']['ADMIN_USERS']);
  
  $smarty->assign  ('usepamSelect', $configEdit['']['PAM_ALLOW_LOGIN']);
                    
  $smarty->assign  ('useldapSelect', $configEdit['']['LDAP_ALLOW_LOGIN']);
                    
                    
  $smarty->assign  ('ldaphost', $configEdit['']['LDAP_HOST']);
  $smarty->assign  ('ldapport', $configEdit['']['LDAP_PORT']);
  $smarty->assign  ('ldapbasedn', $configEdit['']['LDAP_BASE_DN']);
  $smarty->assign  ('ldapversion', $configEdit['']['LDAP_VERSION']);
  $smarty->assign  ('ldapsearchuser', $configEdit['']['LDAP_SEARCH_USER']);
  $smarty->assign  ('ldapsearchpass', $configEdit['']['LDAP_SEARCH_PASS']);
  $smarty->assign  ('ldapuserfilter', $configEdit['']['LDAP_USER_FILTER']);

  $smarty->assign  ('Page',          getcwd() . '/plugins/systemconfig/action-systemconfig.tpl');

}


$smarty->display ('page.tpl');

?>
