<?php
if(!is_writable($config['PluginsAbsolutePath']."win32installer/tmp")){
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    $smarty->assign  ('error_text','Directory '.$config['PluginsAbsolutePath'].'win32installer/tmp is not writable');
    echo "one<BR>";
    return;
}
  
$filename = $config['Home'] . "windows/" . $Server . ".exe";
@unlink($filename);

if($GETAction == $config['Plugins']['win32installer']['Action']['Name'])
{
  if (win32installer_doPackage($config,$filename,$Server, $_REQUEST["id"])===true)
  {
    $sFile = $filename;
    $requestID = "EXE";
    
    include ('download-instructions.inc');
    exit;

/*      header('Content-Description: File Transfer');
      header('Content-Type: application/octet-stream');
      // $_REQUEST["id"] already validated
      header('Content-Disposition: attachment; filename='.$Server.'-'.$_REQUEST["id"].'.exe');
      header('Content-Transfer-Encoding: binary');
      header('Expires: 0');
      header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
      header('Pragma: public');
      header('Content-Length: ' . filesize($filename));
      ob_clean();
      flush();
      readfile($filename);
      // purge downloaded file
      unlink($filename);
      exit;
*/
  }
  else {
      unlink($filename);
    }
}

function win32installer_doPackage($config,$filename,$Server, $index)
{
  global $smarty;
  
  $d = "-";
  $dash=strpos($Server, $d, 0);
  if ($dash) {
    $Serverdir=substr($Server, 0, $dash);
  }
  else 
  {
    $smarty->assign  ('error_no',-1);
    $smarty->assign  ('error_text',"Cannot create installer for server at this time");
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    return false;
  }
  
  // validate index
  if(!preg_match('/^[0-9A-F]+$/',$index)) {
    $smarty->assign  ('error_no',1);
    $smarty->assign  ('error_text',"bad index ".htmlspecialchars($index));
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    return false;
  }
  $cafile = $config['Home'] . "easy-rsa/keys/$Serverdir/ca.crt";
  $tafile = $config['Home'] . "easy-rsa/keys/$Serverdir/ta.key";
  $keyfile = $config['Home'] . "easy-rsa/keys/$Serverdir/$Server.key";
  $crtfile = $config['Home'] . "easy-rsa/keys/$Serverdir/$Server.crt";
  $ovpnfile = $config['Home'] . "clients/$Server.ovpn";
  
    
  if(!is_file($cafile)) {
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    $smarty->assign  ('error_text','Unable to open '.$cafile.', check $cafile variable');
    return false;
  }
  if(!is_file($tafile)) {
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    $smarty->assign  ('error_text','Unable to open '.$tafile.', check $tafile variable');
    return false;
  }
  if(!is_file($keyfile)) {
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    $smarty->assign  ('error_text','Unable to open '.$keyfile.', check $keyfile variable');
    return false;
  }
  if(!is_file($crtfile)) {
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    $smarty->assign  ('error_text','Unable to open '.$crtfile.', check $crtfile variable');
    return false;
  }

  if(!is_file($ovpnfile)) {
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    $smarty->assign  ('error_text','Unable to open '.$ovpnfile.', check $ovpnfile variable');
    return false;
  }
  
  $b = $config['PluginsAbsolutePath'] .'win32installer/local/' . basename($config['Plugins']['win32installer']['nsi']);
  $c = $config['PluginsAbsolutePath'] .'win32installer/local/' . basename($config['Plugins']['win32installer']['README']);
  
  $rc = copy($b, $config['Plugins']['win32installer']['openvpnguipath'].$config['Plugins']['win32installer']['nsi']);
  if (!$rc)
  {
    html_error("Unable to copy " . basename($b) . " to " . $config['Plugins']['win32installer']['openvpnguipath'].$config['Plugins']['win32installer']['nsi']);
    exit;
  }
  
  $rc = copy($c, $config['Plugins']['win32installer']['openvpnguipath'].$config['Plugins']['win32installer']['README']);
  if (!$rc)
  {
    html_error("Unable to copy " . basename($b) . " to " . $config['Plugins']['win32installer']['openvpnguipath'].$config['Plugins']['win32installer']['README']);
    exit;
  }
  
  $command=$config['Plugins']['win32installer']['makensis'].
            " -DINSTDIR="."c:/Program\\ Files/OpenVPN".
            " -DSVR=".$Server.
            " -DOVPNFILE=".$ovpnfile.
            " -DOUTFILE=".$filename.
            " -DKEY_TA=".$tafile.
            " -DKEY_CA=".$cafile.
            " -DKEY_PVT=".$keyfile.
            " -DKEY_CRT=".$crtfile.
            " ".$config['Plugins']['win32installer']['openvpnguipath'].$config['Plugins']['win32installer']['nsi']. " 2>&1";
            
  exec($command,$output,$rc);
  if($rc) {// shit happens
    $smarty->assign  ('error_no',$rc);
    $smarty->assign  ('error_text',$output);
    $smarty->assign  ('Page',          'file:'. $config['PluginsAbsolutePath'] .'win32installer/win32installer-dl-error.tpl');
    return false;
  }
  else return true;
}

?>