<?
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();
 
 // Mode
$smarty->assign  ('mode', $config['mode']);
    
// Decoration
$smarty->assign  ('Company_Name',  $config['Company_Name']);
$smarty->assign  ('Company_Logo',  $config['Company_Logo']);
$smarty->assign  ('URL_Home_Page', $config['URL_Home_Page']);
$smarty->assign  ('title',         'OpenVPN Web GUI : New OpenVPN Server');

// Status Bar
$smarty->assign  ('Server',        "");
if (isset($openvpn)) $smarty->assign  ('Seconds_Ago',   time () - $openvpn['Server']['Time']);

// Action
$smarty->assign  ('action',        'CERTIFICATES');
$smarty->assign  ('subaction',     'NEW');

// Action-Specific
$smarty->assign  ('Default',       $config['openssl']['default']);

// Display
$smarty->assign  ('PluginPath',    $config['PluginsAbsolutePath']);
$smarty->assign  ('Plugins',       $config['Plugins']);
$smarty->assign  ('Page',          'action-newserver.tpl');

// OpenVPN Options

$smarty->assign ('vpnport',  (isset ($_REQUEST['VPNPort']) ? ($_REQUEST['VPNPort']) : $vars["PORT"]["PORT"]));



$smarty->assign ('CommonName', (isset ($_REQUEST['CommonName']) ? ($_REQUEST['CommonName']) : $config['openssl']['default']['commonName']));
$smarty->assign ('CountryName', (isset ($_REQUEST['Country'])    ? ($_REQUEST['Country'])    : $config['openssl']['default']['countryName']));
$smarty->assign ('Province', (isset ($_REQUEST['Province'])   ? ($_REQUEST['Province'])   : $config['openssl']['default']['stateOrProvinceName']));
$smarty->assign ('LocalityName', (isset ($_REQUEST['City'])       ? ($_REQUEST['City'])       : $config['openssl']['default']['localityName']));
$smarty->assign ('OrganizationName', (isset ($_REQUEST['Company'])    ? ($_REQUEST['Company'])    :  $config['openssl']['default']['organizationName']));
$smarty->assign ('DepartmentName', (isset ($_REQUEST['Department']) ? ($_REQUEST['Department']) : $config['openssl']['default']['organizationalUnitName']));
$smarty->assign ('EmailAddress', (isset ($_REQUEST['Email'])      ? ($_REQUEST['Email'])      : $config['openssl']['default']['emailAddress']));
$smarty->assign ('Expiration', (isset ($_REQUEST['Expiration']) ? ($_REQUEST['Expiration']) : $config['openssl']['default']['expiration']));



$smarty->assign ('VPNNetmask', (isset ($_REQUEST['autoincrement']) ? ($_REQUEST['autoincrement']) : ""));



$smarty->assign ('DNSAddress', (isset ($_REQUEST['DNSAddress']) ? ($_REQUEST['DNSAddress']) : NULL));
$smarty->assign ('VPNNetwork', (isset ($_REQUEST['VPNNetwork']) ? ($_REQUEST['VPNNetwork']) : NULL));
$smarty->assign ('VPNNetmask', (isset ($_REQUEST['VPNNetmask']) ? ($_REQUEST['VPNNetmask']) : "255.255.255.0"));

$smarty->assign ('PoolStart', (isset ($_REQUEST['PoolStart']) ? ($_REQUEST['PoolStart']) : NULL));
$smarty->assign ('PoolEnd', (isset ($_REQUEST['PoolEnd']) ? ($_REQUEST['PoolEnd']) : NULL));
$smarty->assign ('tunnelroute',(isset ($_REQUEST['tunnelroute'])   ? ($_REQUEST['tunnelroute']) : NULL));


$mssfix = $configEdit['ADVANCED']['MSSFIX'];
$fragment = $configEdit['ADVANCED']['FRAGMENT'];
if ($mssfix == "no") $mssfix = "";
if ($fragment == "no") $fragment = "";
$smarty->assign ('mssfix',(isset ($_REQUEST['mssfix'])   ? ($_REQUEST['mssfix']) : $mssfix));
$smarty->assign ('Fragment',(isset ($_REQUEST['fragment'])   ? ($_REQUEST['fragment']) : $fragment));

// Protocol
$smarty->assign("protocolOptions", array("tcp" => "Tcp",
                                         "udp" => "Udp"));
$smarty->assign("protocolSelect", (isset ($_REQUEST['protocol']) ? ($_REQUEST['protocol']) : $vars["OPTIONS"]["PROTOCOL"]));

// Tun/Tap
$smarty->assign("tuntapOptions", array("tapXXX" => "Tap - static",
                                       "tunXXX" => "Tun - static",
                                       "tap" => "Tap",
                                       "tun" => "Tun"));
$smarty->assign("tuntapSelect", (isset ($_REQUEST['tuntap']) ? ($_REQUEST['tuntap']) :$vars["OPTIONS"]["TAPTUN"]));

// DH Bits
$smarty->assign("dhOptions", array("1024" => "1024",
                                   "2048" => "2048"));
$smarty->assign("dhSelect", (isset ($_REQUEST['dhbits']) ? ($_REQUEST['dhbits']) : $vars["OPTIONS"]["DHBITS"]));

// Ethernet Bridging
$smarty->assign("bridgingOptions", array("no" => "No",
                                         "yes" => "Yes",
                                         "yes-proxy" => "Yes, DHCP Proxied",
                                         "yes-nogw" => "Yes, DHCP proxied & no gateway"
                                         ));
$smarty->assign("bridgingSelect", (isset ($_REQUEST['bridging']) ? ($_REQUEST['bridging']) : $vars["OPTIONS"]["BRIDGE"]));

// Windows clients
$smarty->assign("windowsOptions", array("no" => "No",
                                        "yes" => "Yes"));
$smarty->assign("windowsSelect", (isset ($_REQUEST['windows']) ? ($_REQUEST['windows']) : $vars["OPTIONS"]["WINDOWS"]));

// duplicatecn
$smarty->assign("duplicatecnOptions", array("no" => "No",
                                            "yes" => "Yes"));
$smarty->assign("duplicatecnSelect", (isset ($_REQUEST['duplicatecn']) ? ($_REQUEST['duplicatecn']) : $vars["OPTIONS"]["DUPLICATECN"]));

// clientAccess (to server)
$smarty->assign("clientaccessOptions", array("no" => "No",
                                            "yes" => "Yes"));
$smarty->assign("clientaccessSelect", (isset ($_REQUEST['clientaccess']) ? ($_REQUEST['clientaccess']) : $vars["TUNNEL"]["CLIENTACCESS"]));

// client2client
$smarty->assign("client2clientOptions", array("no" => "No",
                                            "yes" => "Yes"));
$smarty->assign("client2clientSelect", (isset ($_REQUEST['client2client']) ? ($_REQUEST['client2client']) : $vars["TUNNEL"]["CLIENT2CLIENT"]));


// Advanced Options

$smarty->assign ('ManagementAddress', (isset ($_REQUEST['ManagementAddress']) ? ($_REQUEST['ManagementAddress']) : $vars["ADVANCED"]["MANAGEMENT-ADDRESS"]));
$smarty->assign ('managementport',  (isset ($_REQUEST['managementPort']) ? ($_REQUEST['managementPort']) : $vars["ADVANCED"]["MANAGEMENT-PORT"]));

// 
$smarty->assign("fastIOOptions", array("no" => "No",
                                        "maybe" => "Maybe",
                                        "yes" => "Yes"));
$smarty->assign("fastIOSelect", (isset ($_REQUEST['fastIO']) ? ($_REQUEST['fastIO']) : $vars["ADVANCED"]["FAST-IO"]));

// 
$smarty->assign("multiHomeOptions", array("no" => "No",
                                        "yes" => "Yes"));
$smarty->assign("multiHomeSelect", (isset ($_REQUEST['multiHome']) ? ($_REQUEST['multiHome']) : $vars["ADVANCED"]["MULTIHOME"]));

// 
$smarty->assign("mtuDiscoveryOptions", array(
                                             "kernel" => "Kernel Default",
                                             "no" => "No",
                                        "maybe" => "Maybe",
                                        "yes" => "Yes"));
$smarty->assign("mtuDiscoverySelect", (isset ($_REQUEST['mtuDisc']) ? ($_REQUEST['mtuDisc']) : $vars["ADVANCED"]["MTU-DISCOVERY"]));

// 
$smarty->assign("mtuTestOptions", array("no" => "No",
                                        "yes" => "Yes"));
$smarty->assign("mtuTestSelect", (isset ($_REQUEST['mtuTest']) ? ($_REQUEST['mtuTest']) : $vars["ADVANCED"]["MTU-TEST"]));

// 
$smarty->assign("verboseOptions", array(
                                        "1" => "1",
                                        "2" => "2",
                                        "3" => "3",
                                        "4" => "4",
                                        "5" => "5",
                                        "6" => "6",
                                        "7" => "7",
                                        "8" => "8",
                                        "9" => "9",
                                        "10" => "10",
                                        "11" => "11"
                                        ));
$smarty->assign("verboseSelect", (isset ($_REQUEST['verb']) ? ($_REQUEST['verb']) : $vars["ADVANCED"]["VERB"]));

?>
