<?

function isValidNetAddress($value, $empty, &$params, &$formvars)
{
  if (strlen($value) == 0 && $empty) return true;
  if (_getAddrByHost($value) != $value) return true;

  $v = ip2long($value);
  if ($v) 
  {
    $ar = explode(".", $value);
    if (sizeof($ar) == 4)   return true;
  }

  
  if(isset($params['field2'])) 
  {
    if ($params['field2'] == "allowUnresolvable") return true;
  }
  echo "returning false<BR>";
  
  return false;
}

function _getAddrByHost($host, $timeout = 3) 
{
  $dig = `which dig`;
  if (strlen($dig) > 0)
  {
    //
    // First use the local DNS, then go external
    //
    $query = `dig +time=$timeout +retry=1 -t A +short $host`;
    if (strlen($query) > 2) return $query;
    $query = `dig @4.2.2.2 +time=$timeout +retry=1 -t A +short $host`;
    if (strlen($query) > 2) return $query;
    return $host;    
  }
  
  $nslookup = `which nslookup`;
  if (strlen($nslookup) > 0)
  {
    //
    // First use the local DNS, then go external
    //
    $query = `nslookup -timeout=$timeout -retry=1 $host`;
    if(preg_match('/\nAddress: (.*)\n/', $query, $matches)) 
      return trim($matches[1]);
    $query = `nslookup -timeout=$timeout -retry=1 $host 4.2.2.2`;
    if(preg_match('/\nAddress: (.*)\n/', $query, $matches)) 
      return trim($matches[1]);
    return $host;
  }
  // No lookup possible, just return localhost
  return "127.0.0.1";

}

?>
